Subject: Re: [bug#77153] [PATCH v3 3/3] doc: cookbook: Custom NAT-based libvirt networks.

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 23 Mar 2025 13:14:44 +0900

Hi,

45mg <[email-masked]> writes:

> * doc/guix-cookbook.texi (Virtual Machines): [Custom NAT-based network
> for libvirt]: New section.
> [References]: New section.

I needed to add a missing @node for the new section and refresh the
menus (C-c C-u C-a in texinfo-mode in Emacs), resulting in:

--8<---------------cut here---------------start------------->8---
Unstaged changes (1)
modified   doc/guix-cookbook.texi
@@ -167,6 +167,8 @@ Top
 
 * Network bridge for QEMU::
 * Routed network for libvirt::
+* Custom NAT-based network for libvirt::
+* References: VM References.    Further reading on virtual machines.
 
 Advanced package management
 
@@ -3752,7 +3754,7 @@ Virtual Machines
 * Network bridge for QEMU::
 * Routed network for libvirt::
 * Custom NAT-based network for libvirt::
-* References::
+* References: VM References.    Further reading on virtual machines.
 @end menu
 
 @node Network bridge for QEMU
@@ -4092,6 +4094,7 @@ Custom NAT-based network for libvirt
 Ensure that you have IPv4 forwarding enabled (you can use
 @code{sysctl-service-type} for this).
 
+@node VM References
 @section References
 
 @itemize
--8<---------------cut here---------------end--------------->8---

I struggled a bit because nodes must apparently have unique names (and
they are what the menus references, so previously it'd refer to a
different section).

In the end I chose to name the node differently from the section, and
use the alternate 'Name: Node name.' form for a menu entry.  See (info
"(texinfo) Menu Parts").

Another small thing: GNU ChangeLog commit messages should document
changes, not reasoning.  It's OK and welcome to add a rationale to the
commit message, but it should appear in a paragraph between the summary
line and the changelog.

Pushed as commit da09013802.

-- 
Thanks,
Maxim